Installieren Sie unsere App 🪄 Klicken Sie auf das -Symbol oben rechts in der Adressleiste.

Heatmaps

GET https://analyticse.com/api/heatmaps/
curl --request GET \
--url 'https://analyticse.com/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
website_id Optional Integer
user_id Optional Integer
is_enabled Optional Integer Erlaubte Werte: 0, 1
search Optional String Die Suchzeichenfolge.
search_by Optional String Nach welchem ​​Feld suchen Sie? Zulässige Werte sind: name, path.
datetime_field Optional String Erlaubte Werte: datetime, last_datetime
datetime_start Optional String Startdatum
datetime_end Optional String Enddatum
order_by Optional String Welches Feld, nach dem die Ergebnisse sortiert werden sollen. Zulässige Werte sind: heatmap_id, website_id, name, path, is_enabled, desktop_size, tablet_size, mobile_size, datetime, last_datetime.
order_type Optional String Die Reihenfolge der Ergebnisse. Zulässige Werte sind: ASC für aufsteigende Sortierung und DESC für absteigende Sortierung.
page Optional Integer Die Seitenzahl, von der Sie Ergebnisse erhalten möchten. Standardmäßig 1.
results_per_page Optional Integer Wie viele Ergebnisse Sie pro Seite wünschen. Zulässige Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist 25.
{
    "data": [
        {
            "id": 1,
            "website_id": 1,
            "user_id": 1,
            "snapshot_id_desktop": 1,
            "desktop_size": 123456,
            "snapshot_id_tablet": null,
            "tablet_size": 0,
            "snapshot_id_mobile": null,
            "mobile_size": 0,
            "name": "Example",
            "path": "/",
            "is_enabled": true,
            "datetime": "2026-09-12 00:43:34",
            "last_datetime": null
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://analyticse.com/api/heatmaps?page=1",
        "last": "https://analyticse.com/api/heatmaps?page=1",
        "next": null,
        "prev": null,
        "self": "https://analyticse.com/api/heatmaps?page=1"
    }
}
GET https://analyticse.com/api/heatmaps/{heatmap_id}
curl --request GET \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "snapshot_id_desktop": 1,
        "desktop_size": 123456,
        "snapshot_id_tablet": null,
        "tablet_size": 0,
        "snapshot_id_mobile": null,
        "mobile_size": 0,
        "name": "Example",
        "path": "/",
        "is_enabled": true,
        "datetime": "2026-09-12 00:43:34",
        "last_datetime": null
    }
}
GET https://analyticse.com/api/heatmaps/{heatmap_id}/data
curl --request GET \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
snapshot_type Optional String Erlaubte Werte: desktop, tablet, mobile
type Optional String Erlaubte Werte: clicks, scrolls
start_date Optional String Startdatum im Y-m-d Format.
end_date Optional String Enddatum im Y-m-d Format.
{
    "data": {
        "id": 1,
        "website_id": 1,
        "snapshot_id": 1,
        "snapshot_type": "desktop",
        "type": "clicks",
        "start_date": "2026-01-01",
        "end_date": "2026-01-31",
        "heatmap_data": [
            [25.25, 60.5, 1]
        ],
        "heatmap_data_count": 1
    }
}
POST https://analyticse.com/api/heatmaps
Parameter Details Beschreibung
website_id Erforderlich Integer
name Erforderlich String
path Optional String
is_enabled Optional Integer Erlaubte Werte: 0, 1
curl --request POST \
--url 'https://analyticse.com/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "snapshot_id_desktop": null,
        "desktop_size": 0,
        "snapshot_id_tablet": null,
        "tablet_size": 0,
        "snapshot_id_mobile": null,
        "mobile_size": 0,
        "name": "Example",
        "path": "/",
        "is_enabled": true,
        "datetime": "2026-09-12 00:43:34",
        "last_datetime": null
    }
}
POST https://analyticse.com/api/heatmaps/{heatmap_id}
Parameter Details Beschreibung
name Optional String
is_enabled Optional Integer Erlaubte Werte: 0, 1
curl --request POST \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "snapshot_id_desktop": 1,
        "desktop_size": 123456,
        "snapshot_id_tablet": null,
        "tablet_size": 0,
        "snapshot_id_mobile": null,
        "mobile_size": 0,
        "name": "Example",
        "path": "/",
        "is_enabled": true,
        "datetime": "2026-09-12 00:43:34",
        "last_datetime": "2026-09-12 00:43:34"
    }
}
DELETE https://analyticse.com/api/heatmaps/{heatmap_id}
curl --request DELETE \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \